AGCHCU(3NCARG)

NAME
AGCHCU - Provides a way for the user to change the color, intensity, line style, etc., of curves drawn by Autograph.

SYNOPSIS
SUBROUTINE AGCHCU (IFLG,KDSH)

DESCRIPTION

IFLG
    (an input expression of type INTEGER) is zero if a particular object is about to be drawn, non-zero if it has just been drawn.

KDSH
    (an input expression of type INTEGER) is the value of AGCURV's last argument, as follows:

    AGCURV called by
        Value of KDSH

    EZY 1

    EZXY
        1

    EZMY
        "n" or "-n", where "n " is the curve number

    EZMXY
        "n" or "-n", where "n" is the curve number

    the user program
        a user-specified value

USAGE
This routine is not called by the user program, but by Autograph itself, just before and just after each curve is drawn. The default version does nothing. The user may supply his own version to change the color, intensity, line style, etc. of selected curves.

Note: A user version of AGCHCU should not call any other Autograph routine.

ACCESS
To use AGCHCU, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: autograph, agback, agbnch, agchax, agchil, agchnl, agcurv, agdshn, aggetc, aggetf, aggeti, aggetp, aggetr, agpwrt, agrstr, agsave, agsetc, agsetf, agseti, agsetp, agsetr, agstup, agutol, anotat, displa, ezmxy, ezmy, ezxy, ezy

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.